local _, NS = ...

NS.PREFIX_COLOR = "D040D0"
NS.ADDON_NAME="OrganizedPanic"
NS.CHAT_COMMAND_NAME="op"

NS.DEFAULTS = {
  profile = {
    flashBorder = true,
    playSound = true,
    sound = "auctionhouse",
    borderColor = {r = 0.0, g = 0.0, b = 1.0},
    debug = false
  }
}

NS.PANIC_SPELLS = {
  ["Tranquility"] = "HEALER",
  ["Divine Hymn"] = "HEALER",
  ["Holy Word: Salvation"] = "HEALER",
  ["Revival"] = "HEALER",
  ["Healing Tide Totem"] = "HEALER",
  -- ["Blizzard"] = "DAMAGER"
}

NS.SOUNDS = {
  ["auctionhouse"] = "Interface/AddOns/OrganizedPanic/sounds/auctionhouse.ogg",
  ["raidwarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidwarning.ogg",
  ["raidbosswarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidbosswarning.ogg",
  ["raidbosswhisperwarning"] = "Interface/AddOns/OrganizedPanic/sounds/ui_raidbosswhisperwarning.ogg",
}
